Jump to content

Template:Change History/styles.css: Difference between revisions

From The Petit Planet Wiki
Created page with "For [[Template:Change History]]: .change-history-header { display: flex; justify-content: space-between; align-items: center; font-size: 88%; margin: 0.3em 0; } .change-history-content { overflow: auto; max-height: 330px; padding: 0.5em; box-sizing: border-box; -moz-box-sizing: border-box; -moz-border-radius-topleft: 0.5em; background: transparent; border-radius: 4px; hr + p { margin-block: 0; } }"
 
Adjusted padding
 
(6 intermediate revisions by 2 users not shown)
Line 1: Line 1:
/* For [[Template:Change History]] */
.change-history-header {
.change-history-header {
display: flex;
    display: inline-flex;
justify-content: space-between;
    flex-wrap: wrap;
align-items: center;
    font-size: 88%;
font-size: 88%;
    margin: 0.5em 0;
margin: 0.3em 0;
}
}


.change-history-content {
.change-history-content {
overflow: auto;
    overflow: auto;
max-height: 330px;
    max-height: 330px;
padding: 0.5em;
    padding: 0.75em 1em;
box-sizing: border-box;
    box-sizing: border-box;
-moz-box-sizing: border-box;
    background: var(--background-color-0b);
-moz-border-radius-topleft: 0.5em;
    border-radius: 10px;
background: transparent;
}
border-radius: 4px;
 
.change-history-content hr + p {
hr + p {
margin-block: 0.7em;
margin-block: 0;
}
}
 
.change-history-header a.external {
    background-image: none !important;
    padding: 2px 8px;
    border-radius: 20px;
    background-color: var(--background-color-2);
    color: var(--color-base);
}
 
.change-history-header a.external:hover {
    background-color: var(--background-color-3);
    text-decoration: none;
}
 
.change-history-header > div:first-child {
    margin-right: 0.75em;
}
}

Latest revision as of 06:43, 21 April 2026

.change-history-header {
    display: inline-flex;
    flex-wrap: wrap;
    font-size: 88%;
    margin: 0.5em 0;
}

.change-history-content {
    overflow: auto;
    max-height: 330px;
    padding: 0.75em 1em;
    box-sizing: border-box;
    background: var(--background-color-0b);
    border-radius: 10px;
}

.change-history-content hr + p {
	margin-block: 0.7em;
}

.change-history-header a.external {
    background-image: none !important;
    padding: 2px 8px;
    border-radius: 20px;
    background-color: var(--background-color-2);
    color: var(--color-base);
}

.change-history-header a.external:hover {
    background-color: var(--background-color-3);
    text-decoration: none;
}

.change-history-header > div:first-child {
    margin-right: 0.75em;
}